Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Auto_Array_Ptr< X > Class Template Reference

Implements an extension to the draft C++ standard auto_ptr abstraction. More...

`#include <Auto_Ptr.h>`

Inheritance diagram for ACE_Auto_Array_Ptr< X >:

[legend]
Collaboration diagram for ACE_Auto_Array_Ptr< X >:

[legend]
List of all members.

## Public Member Functions
| ACE_Auto_Array_Ptr (X *p=0)
X * | operator-> () const

## Detailed Description

### template<class X>
class ACE_Auto_Array_Ptr< X >

Implements an extension to the draft C++ standard auto_ptr abstraction.

## Constructor & Destructor Documentation

template<class X>
ACE_Auto_Array_Ptr< X >::ACE_Auto_Array_Ptr | ( | X * | p = `0` | ) | `[inline, explicit]`

## Member Function Documentation

template<class X>
ACE_INLINE X * ACE_Auto_Array_Ptr< X >::operator-> | ( |  | ) | const

The documentation for this class was generated from the following files:

- Auto_Ptr.h
- Auto_Ptr.inl